//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Localization {
/// <summary>
/// Same return values as GET_CURRENT_LANGUAGE
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Localization<br />
/// <b>From Build:</b> 877<br />
/// <b>Native ID:</b> 0x497420E022796B3F<br />
/// </para>
/// </remarks>
public static int LocalizationGetSystemLanguage(){
return Function.Call<int>((Hash)0x497420E022796B3FuL);
}

/// <summary>
/// 0 = american (en-US)<br />1 = french (fr-FR)<br />2 = german (de-DE)<br />3 = italian (it-IT)<br />4 = spanish (es-ES)<br />5 = brazilian (pt-BR)<br />6 = polish (pl-PL)<br />7 = russian (ru-RU)<br />8 = korean (ko-KR)<br />9 = chinesetrad (zh-TW)<br />10 = japanese (ja-JP)<br />11 = mexican (es-MX)<br />12 = chinesesimp (zh-CN)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Localization<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2BDD44CC428A7EAE<br />
/// </para>
/// </remarks>
public static int GetCurrentLanguage(){
return Function.Call<int>((Hash)0x2BDD44CC428A7EAEuL);
}

/// <summary>
/// Possible return values: 0, 1, 2
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Localization<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA8AE43AEC1A61314<br />
/// </para>
/// </remarks>
public static int LocalizationGetSystemDateType(){
return Function.Call<int>((Hash)0xA8AE43AEC1A61314uL);
}

}}
